package main;

import javafx.scene.Scene;
import javafx.stage.Stage;
import main.straight_channel_section.StraightChannelSectionLoader;
import main.welcome_splash.WelcomeSplashLoader;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * ChainBuilder builds all the two way nodes that are in current project (voting-booth-gui)
 *              and connects between all of them so they can keep their flow
 */
public class ChainBuilder {

    /**
     * Creates all  the twoWayNodes and connects between them
     */
    public static void Build(Stage primaryStage) throws IOException {
        WelcomeSplashLoader welcomeSplashLoader = new WelcomeSplashLoader(primaryStage);
        TwoWayNode welcomeSplashController = welcomeSplashLoader.GetWelcomeSplash();

        StraightChannelSectionLoader straightChannelSectionLoader = new StraightChannelSectionLoader(primaryStage);
        TwoWayNode straightChannelSectionController = straightChannelSectionLoader.GetStraightChannelSection();
        welcomeSplashController.SetNext(straightChannelSectionController);
        straightChannelSectionController.SetPrevious(welcomeSplashController);

        /**
         * all other two way nodes initialized
         */

        primaryStage.setScene(new Scene(welcomeSplashController.GetNode()));
    }
}
